com.corticon.eclipse.core.util

## Class TreeviewSelectionDtl

- java.lang.Object
- - com.corticon.eclipse.core.util.TreeviewSelectionDtl

-     public class TreeviewSelectionDtl
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TREE_VIEW_RULEFLOW`
    `static java.lang.String` | `TREE_VIEW_SCOPE_SECTION`
    `static java.lang.String` | `TREE_VIEW_TESTSHEET`
    `static java.lang.String` | `TREE_VIEW_VOCABULARY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeviewSelectionDtl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getContainedAssociations()`
    `java.lang.String` | `getTreeViewName()`
    `TreeviewSelection` | `getTreeviewSelection()`
    `void` | `setContainedAssociations(boolean abContainedAssociations)`
    `void` | `setTreeViewName(java.lang.String treeViewName)`
    `void` | `setTreeviewSelection(TreeviewSelection treeviewSelection)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TREE_VIEW_VOCABULARY

          public static final java.lang.String TREE_VIEW_VOCABULARY

      See Also:
        Constant Field Values

    - #### TREE_VIEW_TESTSHEET

          public static final java.lang.String TREE_VIEW_TESTSHEET

      See Also:
        Constant Field Values

    - #### TREE_VIEW_SCOPE_SECTION

          public static final java.lang.String TREE_VIEW_SCOPE_SECTION

      See Also:
        Constant Field Values

    - #### TREE_VIEW_RULEFLOW

          public static final java.lang.String TREE_VIEW_RULEFLOW

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TreeviewSelectionDtl

          public TreeviewSelectionDtl()

  - ### Method Detail

    - #### getTreeViewName

          public java.lang.String getTreeViewName()

    - #### setTreeViewName

          public void setTreeViewName(java.lang.String treeViewName)

    - #### getTreeviewSelection

          public TreeviewSelection getTreeviewSelection()

    - #### setTreeviewSelection

          public void setTreeviewSelection(TreeviewSelection treeviewSelection)

    - #### getContainedAssociations

          public boolean getContainedAssociations()

    - #### setContainedAssociations

          public void setContainedAssociations(boolean abContainedAssociations)

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.